IN Fight.c
under Void Raw_kill () put this after make_corpse( victim,killer );

if (!IS_NPC(killer)
&& !IS_NPC(victim) )
{
victim->pcdata->pkdeaths ++;
killer->pcdata->pkkills +1;
/* Uncomment if you use my announcement code
sprintf( buf, "%s just got murdered in coldblood by %s", victim->name,killer->name);
announce(victim, buf);*/
}

Merc.h

under struct pcdata put:

int pkkills;
int pkdeaths;

Save.c

I put this under the True Sex part of of void fwrite_char

fprintf( fp, "Pkdt %d\n",       ch->pcdata->pkdeaths    );
fprintf( fp, "Pkkl %d\n",       ch->pcdata->pkkills     );

in fread_char put:
 under case 'P'

 KEY( "Pkdt",        ch->pcdata->pkdeaths,   fread_number( fp ) );
            KEY( "Pkkl",        ch->pcdata->pkkills,    fread_number( fp ) );

under load_char_obj and load_char_reroll I put

 ch->pcdata->pkdeaths               = 0;
   ch->pcdata->pkkills                  = 0;


The rest of this code is optional

Act_info.c

under void do_score and void do_whois I put

if(!IS_NPC(ch))
 {
 sprintf(buf,
"[{1PK stats{x] kills: {3%d{x  deaths: {3%d{x\n\r",
 ch->pcdata->pkkills, ch->pcdata->pkdeaths );
 add_buf(output,buf); 
}

But remeber to put it before the !is_found part in whois 

/* Written by Salem/BirthRight of BR Project email salem@limpbizkit.com please email me any updates */
